Integrate API
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
  1. Change Request
  • Default module
    • Get started
    • Pagination and Offset
    • Company
      • Get company information
      • Delete company webhook
      • Get company package
      • Send a merge request to another company
    • Office
      • List all offices
      • Add new office
    • Users
      • List all users
      • Add new user
      • Get user by email
      • Update user details
      • Change user password
      • Send password reset link
      • Delete user
    • Orders
      • List orders
      • Upgrade order
      • Re-deliver order with styling options
      • Get order by ID
      • Get combined PDF document
      • Create a redraw order
    • Change Request
      • Add new change request for an order
        POST
      • List all change requests of order
        GET
      • Get change request by ID
        GET
    • Draft Orders
      • Create a draft order
      • Update a draft order
      • Delete a draft order
    • GoToScan Orders
      • Create a GoToScan order
    • Webhooks
      • About webhooks
      • Update company webhooks
      • /Order status
  • Webhooks calls
    • /Order status
  1. Change Request

Get change request by ID

Prod Env
https://app.cubi.casa/api/integrate/v3
Prod Env
https://app.cubi.casa/api/integrate/v3
GET
/orders/{order_id}/change-requests/{change_request_id}
Get the Change Request information by searching with the order ID.

Request

Authorization
or
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Path Params

Responses

🟢200OK
application/json
Successful response
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://app.cubi.casa/api/integrate/v3/orders//change-requests/'
Response Response Example
{
    "id": "010338fb-b1d5-4086-96b9-003285aa3340",
    "img_urls": [
        "https://www.urltoimg.com/1.jpg",
        "https://www.urltoimg.com/2.jpg"
    ],
    "sent_at": 1748455764.159082,
    "text": "fix request text"
}
Modified at 2025-08-11 11:34:35
Previous
List all change requests of order
Next
Create a draft order
Built with